## yabause 0.9.11

=== CMakeLists.txt ===
project(yabause)

cmake_minimum_required(VERSION 2.8)

set(YAB_VERSION_MAJOR 0)
set(YAB_VERSION_MINOR 9)
set(YAB_VERSION_PATCH 11)
set(YAB_VERSION "${YAB_VERSION_MAJOR}.${YAB_VERSION_MINOR}.${YAB_VERSION_PATCH}")

set(CPACK_SOURCE_GENERATOR TGZ)
set(CPACK_PACKAGE_VERSION_MAJOR ${YAB_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${YAB_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${YAB_VERSION_PATCH})
set(CPAKE_PACKAGE_VENDOR "Yabause team")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "yabause-${YAB_VERSION}")
include(CPack)

add_subdirectory(doc)
add_subdirectory(l10n)
add_subdirectory(src)

=== l10n/CMakeLists.txt ===
project(yabause-l10n)

set(LANGS de es fr it lt pt pt_BR sv)

foreach(LANG ${LANGS})
	install(FILES "yabause_${LANG}.yts" DESTINATION "share/yabause/yts" RENAME "${LANG}.yts")
endforeach()

=== src/CMakeLists.txt ===
project(yabause)

include(CheckFunctionExists)
include(CheckIncludeFile)

set(yabause_SOURCES
	bios.c
	cdbase.c cheat.c coffelf.c cs0.c cs1.c cs2.c
	debug.c
	error.c
	m68kcore.c m68kd.c memory.c movie.c
	netlink.c
	peripheral.c profile.c
	scu.c sh2core.c sh2d.c sh2idle.c sh2int.c sh2trace.c smpc.c snddummy.c
	vdp1.c vdp2.c vdp2debug.c vidogl.c vidshared.c vidsoft.c
	yabause.c ygl.c)

# new SCSP
option(YAB_USE_SCSP2 "Use the new SCSP implementation.")
if (YAB_USE_SCSP2)
	add_definitions(-DUSE_SCSP2=1)
	set(yabause_SOURCES ${yabause_SOURCES} scsp2.c)
else()
	set(yabause_SOURCES ${yabause_SOURCES} scsp.c)
endif()

# Bigendian
include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)
if (WORDS_BIGENDIAN)
	add_definitions(-DWORDS_BIGENDIAN=1)
endif (WORDS_BIGENDIAN)

include(CheckCSourceCompiles)

# variadic macros
check_c_source_compiles("#define MACRO(...) puts(__VA_ARGS__)
	int main(int argc, char ** argv) { MACRO(\"foo\"); }"
	VARIADIC_MACROS_OK)
if (VARIADIC_MACROS_OK)
	add_definitions(-DHAVE_C99_VARIADIC_MACROS=1)
endif (VARIADIC_MACROS_OK)

# gettimeofday
check_function_exists(gettimeofday GETTIMEOFDAY_OK)
if (GETTIMEOFDAY_OK)
    add_definitions(-DHAVE_GETTIMEOFDAY=1)
endif ()

# floorf
set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} "-lm")
check_function_exists(floorf FLOORF_OK)
if (FLOORF_OK)
	add_definitions(-DHAVE_FLOORF=1)
endif ()

# sys/time.h
check_include_file("sys/time.h" SYSTIME_OK)
if (SYSTIME_OK)
	add_definitions(-DHAVE_SYS_TIME_H=1)
endif()

# Find stdint.h
check_include_file("stdint.h" STDINT_H_FOUND)
if (STDINT_H_FOUND)
	add_definitions(-DHAVE_STDINT_H=1)
endif()

# OpenGL
option(YAB_WANT_OPENGL "use OpenGL for video output (most ports require it)" ON)
if (YAB_WANT_OPENGL)
	include(FindOpenGL)
	if (OPENGL_FOUND)
		add_definitions(-DHAVE_LIBGL=1)
		set(YABAUSE_LIBRARIES ${YABAUSE_LIBRARIES} ${OPENGL_LIBRARIES})

		include(FindGLUT)
		if (GLUT_FOUND)
			include_directories(${GLUT_INCLUDE_DIR})
			add_definitions(-DHAVE_LIBGLUT=1)
			set(YABAUSE_LIBRARIES ${YABAUSE_LIBRARIES} ${GLUT_LIBRARIES})
		endif()

		# glXGetProcAddress
		set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} ${OPENGL_LIBRARIES})
		check_function_exists(glXGetProcAddress GLXGETPROCADDRESS_OK)
		if (GLXGETPROCADDRESS_OK)
			add_definitions(-DHAVE_GLXGETPROCADDRESS=1)
		endif()
	endif(OPENGL_FOUND)
endif (YAB_WANT_OPENGL)

# SDL
option(YAB_WANT_SDL "use SDL cores if available" ON)
if (YAB_WANT_SDL)
	include(FindSDL)
	if (SDL_FOUND)
		add_definitions(-DHAVE_LIBSDL=1)
		include_directories(${SDL_INCLUDE_DIR})
		set(yabause_SOURCES ${yabause_SOURCES} persdljoy.c sndsdl.c)
		set(YABAUSE_LIBRARIES ${YABAUSE_LIBRARIES} ${SDL_LIBRARY})
	endif (SDL_FOUND)
endif (YAB_WANT_SDL)

# OpenAL
option(YAB_WANT_OPENAL "use OpenAL sound core if available" ON)
if (YAB_WANT_OPENAL)
	include(FindOpenAL)
	if (OPENAL_FOUND)
		add_definitions(-DHAVE_LIBAL=1)
		include_directories(${OPENAL_INCLUDE_DIR})
		set(yabause_SOURCES ${yabause_SOURCES} sndal.c)
		set(YABAUSE_LIBRARIES ${YABAUSE_LIBRARIES} ${OPENAL_LIBRARY})
	endif (OPENAL_FOUND)
endif (YAB_WANT_OPENAL)

# mini18n
find_path(MINI18N_INCLUDE_DIR mini18n.h)
find_library(MINI18N_LIBRARY mini18n)
if (NOT MINI18N_INCLUDE_DIR STREQUAL "MINI18N_INCLUDE_DIR-NOTFOUND" AND NOT MINI18N_LIBRARY STREQUAL "MINI18N_LIBRARY-NOTFOUND")
	set(MINI18N_FOUND TRUE)
	include_directories(${MINI18N_INCLUDE_DIR})
	add_definitions(-DHAVE_LIBMINI18N=1)
	set(YABAUSE_LIBRARIES ${YABAUSE_LIBRARIES} ${MINI18N_LIBRARY})
endif (NOT MINI18N_INCLUDE_DIR STREQUAL "MINI18N_INCLUDE_DIR-NOTFOUND" AND NOT MINI18N_LIBRARY STREQUAL "MINI18N_LIBRARY-NOTFOUND")

if (MINI18N_FOUND)
	if (UNIX)
		add_definitions(-DYTSDIR=\"${CMAKE_INSTALL_PREFIX}/share/${PACKAGE}/yts\")
	elseif (WIN32)
		add_definitions(-DYTSDIR=\"trans\")
	endif()
endif()

# APPLE // not necessary mac os x, but i don't care ;)
if (APPLE)
	FIND_LIBRARY(COREFOUNDATION_LIBRARY NAMES CoreFoundation )
	FIND_LIBRARY(IOKIT_LIBRARY NAMES IOKit )
	set(yabause_SOURCES ${yabause_SOURCES} macjoy.c permacjoy.c cd-macosx.c)
	set(YABAUSE_LIBRARIES ${YABAUSE_LIBRARIES} ${COREFOUNDATION_LIBRARY} ${IOKIT_LIBRARY})
endif (APPLE)

# Visual Studio
if (MSVC)
        # Find DDK
        if (EXISTS "$ENV{SYSTEMDRIVE}/WINDDK/3790.1830/")
		set(DDK_DIR "$ENV{SYSTEMDRIVE}/WINDDK/3790.1830/")
        elseif (EXISTS "$ENV{SYSTEMDRIVE}/WINDDK/6000/")
		set(DDK_DIR "$ENV{SYSTEMDRIVE}/WINDDK/6000/")
        elseif (EXISTS "$ENV{SYSTEMDRIVE}/WINDDK/7600.16385.0/")
		set(DDK_DIR "$ENV{SYSTEMDRIVE}/WINDDK/7600.16385.0/")
        endif (EXISTS "$ENV{SYSTEMDRIVE}/WINDDK/3790.1830/")

	add_definitions(-DHAVE_C99_VARIADIC_MACROS -D_CRT_SECURE_NO_WARNINGS -DC68K_NO_JUMP_TABLE 
			-D_UNICODE -DUNICODE)
endif (MSVC)

# Windows ddk
if (WIN32)
	# Find ntddcdrm.h
	find_path(ntddcdrm_INCLUDE_DIR ntddcdrm.h
		PATHS "${DDK_DIR}" "${DDK_DIR}/inc" PATH_SUFFIXES ddk api)

	if (ntddcdrm_INCLUDE_DIR)
		include_directories(${ntddcdrm_INCLUDE_DIR})
		message(STATUS "Found ntddcdrm.h: ${ntddcdrm_INCLUDE_DIR}")
	else (ntddcdrm_INCLUDE_DIR)
		message(STATUS "Could not find ntddcdrm.h")
	endif (ntddcdrm_INCLUDE_DIR)

	set(yabause_SOURCES ${yabause_SOURCES} cd-windows.c)
endif (WIN32)

if (WII)
	set(CMAKE_C_FLAGS "-mrvl -mcpu=750 -meabi -mhard-float")
	add_definitions(-DGEKKO=1)
	# that shouldn't be hardcoded, either use an ENV variable or try to detect it...
	include_directories(/opt/devkitpro/libogc/include/)
endif()

# SH2 dynamic recompiler
message(STATUS "CMAKE_SYSTEM_NAME ${CMAKE_SYSTEM_NAME}")
message(STATUS "CMAKE_SYSTEM_PROCESSOR ${CMAKE_SYSTEM_PROCESSOR}")
option(YAB_SH2_DYNAREC "SH2 dynamic recompiler" ON)
if (YAB_SH2_DYNAREC)
	if("${CMAKE_SYSTEM_NAME}" STREQUAL "Linux")
		if("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "i686")
			enable_language(ASM-ATT)
			set(yabause_SOURCES ${yabause_SOURCES}
				sh2_dynarec/sh2_dynarec.c sh2_dynarec/linkage_x86.s)
			add_definitions(-DSH2_DYNAREC=1)
		endif("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "i686")
		if("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "x86_64")
			enable_language(ASM-ATT)
			set(yabause_SOURCES ${yabause_SOURCES}
				sh2_dynarec/sh2_dynarec.c sh2_dynarec/linkage_x64.s)
			add_definitions(-DSH2_DYNAREC=1)
		endif("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "x86_64")
		if("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "armv7l")
			enable_language(ASM-ATT)
			set(yabause_SOURCES ${yabause_SOURCES}
				sh2_dynarec/sh2_dynarec.c sh2_dynarec/linkage_arm.s)
			add_definitions(-DSH2_DYNAREC=1)
		endif("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "armv7l")
	endif("${CMAKE_SYSTEM_NAME}" STREQUAL "Linux")
endif (YAB_SH2_DYNAREC)

# c68k
option(YAB_WANT_C68K "enable c68k compilation" ON)
if (YAB_WANT_C68K)
	include(ExternalProject)
	ExternalProject_Add(c68kinc
		DOWNLOAD_COMMAND ""
		SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/c68k
		CMAKE_GENERATOR "${CMAKE_GENERATOR}"
		INSTALL_COMMAND ""
		BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR}/c68k
	)

	add_definitions(-DHAVE_C68K=1)
	include_directories(${CMAKE_CURRENT_BINARY_DIR}/c68k)
	set(yabause_SOURCES ${yabause_SOURCES} c68k/c68kexec.c c68k/c68k.c c68k/gen68k.c m68kc68k.c)
	if (MSVC)
		set_source_files_properties(c68k/c68kexec.c PROPERTIES COMPILE_FLAGS "/Od")
	else()
		set_source_files_properties(c68k/c68kexec.c PROPERTIES COMPILE_FLAGS "-O0")
	endif()
endif(YAB_WANT_C68K)

# q68
option(YAB_WANT_Q68 "enable q68 compilation" OFF)
if (YAB_WANT_Q68)
	add_definitions(-DHAVE_Q68=1)
	set(yabause_SOURCES ${yabause_SOURCES}
		m68kq68.c q68/q68.c q68/q68-core.c q68/q68-disasm.c
		q68/q68-const.h q68/q68.h q68/q68-internal.h q68/q68-jit.h q68/q68-jit-psp.h q68/q68-jit-x86.h)
endif()

# *DEBUG
set(YAB_DEBUG "" CACHE STRING "List of enabled debug information") 
foreach(DEBUG IN LISTS YAB_DEBUG)
	if (${DEBUG} STREQUAL "main")
		add_definitions(-DDEBUG=1)
	elseif (${DEBUG} STREQUAL "cd")
		add_definitions(-DCDDEBUG=1)
	elseif (${DEBUG} STREQUAL "idle")
		add_definitions(-DIDLE_DETECT_VERBOSE=1)
	else (${DEBUG} STREQUAL "main")
		string(TOUPPER ${DEBUG} UPDEBUG)
		add_definitions(-D${UPDEBUG}_DEBUG=1)
	endif (${DEBUG} STREQUAL "main")
endforeach(DEBUG)

# Mic shaders
option(YAB_SHADERS "Enable OpenGL shaders for gouraud and mesh")
if (GLXGETPROCADDRESS_OK AND YAB_SHADERS)
	add_definitions(-DUSEMICSHADERS=1)
endif()

# Network
option(YAB_NETWORK "Enable network")
if (YAB_NETWORK)
	add_definitions(-DUSESOCKET=1)
endif()

# Peripheral key name
option(YAB_PERKEYNAME "Try to display key names instead of cryptic values" OFF)
if (YAB_PERKEYNAME)
	add_definitions(-DPERKEYNAME=1)
endif()

# Exec from cache
option(YAB_EXEC_FROM_CACHE "Allow code execution from 0xC0000000" OFF)
if (YAB_EXEC_FROM_CACHE)
	add_definitions(-DEXEC_FROM_CACHE=1)
endif()

# Optimized DMA
option(YAB_OPTIMIZED_DMA "Use optimized DMA when possible" OFF)
if (YAB_OPTIMIZED_DMA)
	add_definitions(-DOPTIMIZED_DMA=1)
endif()

# Yabause Arch
if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
	add_definitions(-DARCH_IS_MACOSX=1)
	set(yabause_SOURCES ${yabause_SOURCES} thr-dummy.c)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
	add_definitions(-DARCH_IS_FREEBSD=1)
	set(yabause_SOURCES ${yabause_SOURCES} thr-dummy.c cd-freebsd.c)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
	add_definitions(-DARCH_IS_LINUX=1)
	set(yabause_SOURCES ${yabause_SOURCES} thr-linux.c cd-linux.c)

	check_include_file("linux/joystick.h" LINUX_HAS_JOYSTICK)
	if (LINUX_HAS_JOYSTICK)
		set(yabause_SOURCES ${yabause_SOURCES} perlinuxjoy.c)
	endif()

	check_c_source_compiles("
		#include <linux/cdrom.h>
		int main(int argc, char ** argv) { int i = CDSL_CURRENT; }
	" LINUX_CDROM_H_OK)
	if (NOT LINUX_CDROM_H_OK)
       		add_definitions(-DLINUX_CDROM_H_IS_BROKEN)
	endif (NOT LINUX_CDROM_H_OK)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
	add_definitions(-DARCH_IS_NETBSD=1)
	set(yabause_SOURCES ${yabause_SOURCES} thr-dummy.c cd-netbsd.c)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
	add_definitions(-DARCH_IS_NETBSD=1)
	set(yabause_SOURCES ${yabause_SOURCES} thr-dummy.c cd-netbsd.c)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "Windows")
	add_definitions(-DARCH_IS_WINDOWS=1)
	set(yabause_SOURCES ${yabause_SOURCES} thr-dummy.c)
else ()
	add_definitions(-DUNKNOWN_ARCH=1)
	set(yabause_SOURCES ${yabause_SOURCES} thr-dummy.c)
endif ()

if("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "i686")
	set(CMAKE_C_FLAGS "-O3 -march=i686 -msse")
endif("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "i686")
if("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "x86_64")
	set(CMAKE_C_FLAGS "-O3")
endif("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "x86_64")
if("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "armv7l")
	set(CMAKE_C_FLAGS "-O3 -mcpu=cortex-a8 -mfpu=vfp -mfloat-abi=softfp")
endif("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "armv7l")

add_definitions(-DPACKAGE=\"yabause\")
add_definitions(-DVERSION=\"${YAB_VERSION}\")

add_library(yabause ${yabause_SOURCES})

if (YAB_WANT_C68K)
	add_dependencies(yabause c68kinc)
endif(YAB_WANT_C68K)

macro(yab_port_start)
	if (YAB_PORT_BUILT AND NOT YAB_MULTIBUILD)
		return()
	endif ()
endmacro(yab_port_start)

macro(yab_port_success YAB_TARGET)
	if (NOT YAB_MULTIBUILD)
		set_target_properties(${YAB_TARGET} PROPERTIES OUTPUT_NAME yabause)
		set(YAB_PORT_NAME "yabause")
	else ()
		set(YAB_PORT_NAME ${YAB_TARGET})
	endif ()
	set(YAB_PORT_BUILT TRUE PARENT_SCOPE)
endmacro(yab_port_success)

option(YAB_MULTIBUILD "Choose wether to build all ports or only a single one")
set(YAB_PORT_BUILT FALSE)
set(YAB_PORTS "gtk;qt;windows;dreamcast;wii" CACHE STRING "List of ports to build")
foreach(PORT IN LISTS YAB_PORTS)
	add_subdirectory(${PORT})
endforeach(PORT)

=== src/gtk/CMakeLists.txt ===
project(yabause-gtk)

yab_port_start()

find_package(GTK2 2.10 COMPONENTS gtk)

if (NOT GTK2_FOUND)
	return()
endif (NOT GTK2_FOUND)

set(PORT_INCLUDE_DIRS ${GTK2_INCLUDE_DIRS})
set(PORT_LIBRARIES ${GTK2_LIBRARIES})

if (OPENGL_FOUND)
	find_path(GDKGLEXT_CONFIG_INCLUDE_DIR gdkglext-config.h PATHS ${CMAKE_SYSTEM_PREFIX_PATH} PATH_SUFFIXES lib/gtkglext-1.0/include)
	find_path(GTKGLEXT_INCLUDE_DIR gtk/gtkgl.h PATH_SUFFIXES gtkglext-1.0)
	find_library(GDKGLEXT_LIBRARY gdkglext-x11-1.0)
	find_library(GTKGLEXT_LIBRARY gtkglext-x11-1.0)
	if (NOT GDKGLEXT_CONFIG_INCLUDE_DIR OR NOT GTKGLEXT_INCLUDE_DIR OR NOT GDKGLEXT_LIBRARY OR NOT GTKGLEXT_LIBRARY)
		message(STATUS "Found OpenGL and Gtk+ but not libgtkglext, skipping Gtk+ port.")
		return()
	endif ()
	set(PORT_INCLUDE_DIRS ${PORT_INCLUDE_DIRS} ${GTKGLEXT_INCLUDE_DIR} ${GDKGLEXT_CONFIG_INCLUDE_DIR})
	set(PORT_LIBRARIES ${PORT_LIBRARIES} ${GTKGLEXT_LIBRARY} ${GDKGLEXT_LIBRARY})
	add_definitions(-DHAVE_LIBGTKGLEXT=1)
endif (OPENGL_FOUND)
include_directories(${PORT_INCLUDE_DIRS})

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -I/usr/include/gdk-pixbuf-2.0")

set(yabause_gtk_SOURCES
	gtk-compat.c
	gtkglwidget.c
	main.c
	menu.c
	pergtk.c
	settings.c
	yuicheckbutton.c
	yuifileentry.c
	yuiinputentry.c
	yuim68k.c
	yuimem.c
	yuipage.c
	yuirange.c
	yuiresolution.c
	yuiscreenshot.c
	yuiscsp.c
	yuiscudsp.c
	yuish.c
	yuitransfer.c
	yuivdp1.c
	yuivdp2.c
	yuiviewer.c
	yuiwindow.c)

add_executable(yabause-gtk ${yabause_gtk_SOURCES})
target_link_libraries(yabause-gtk yabause ${YABAUSE_LIBRARIES} ${PORT_LIBRARIES})

yab_port_success(yabause-gtk)
configure_file(yabause.desktop.in ${YAB_PORT_NAME}.desktop)

install(TARGETS yabause-gtk DESTINATION "bin")
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${YAB_PORT_NAME}.desktop DESTINATION "share/applications")
install(FILES "doc/yabause.1" DESTINATION "share/man/man1" RENAME "${YAB_PORT_NAME}.1")
install(FILES "yabause.png" DESTINATION "share/pixmaps")

=== src/qt/CMakeLists.txt ===
project( yabause-qt )

yab_port_start()

find_package(Qt4)

if (NOT QT4_FOUND)
	message(STATUS "NO QT4_FOUND")
	return()
endif (NOT QT4_FOUND)

set( QT_USE_QTCORE TRUE )
set( QT_USE_QTGUI TRUE )
set( QT_USE_QTOPENGL TRUE )
if (WIN32)
	set( QT_USE_QTMAIN TRUE )
endif()

# dunno what it does exactly ... but seem required
include( ${QT_USE_FILE} )

# qt resources file
set( yabause_qt_RESOURCES resources/resources.qrc )

if ( WIN32 )
	# Windows port libraries
	set( yabause_qt_windows_LIBRARIES
		vfw32 )

	# Windows port sources
	set( yabause_qt_windows_SOURCES
		../windows/aviout.c )
	
	# resources
	set ( yabause_qt_windows_RESOURCES
		resources/icons/yabause.rc )
endif ( WIN32 )

# qt forms
set( yabause_qt_FORMS
	ui/UIYabause.ui
	ui/UISettings.ui
	ui/UIAbout.ui
	ui/UICheats.ui
	ui/UICheatAR.ui
	ui/UICheatRaw.ui
	ui/UIWaitInput.ui
	ui/UIBackupRam.ui
	ui/UIPortManager.ui
	ui/UIPadSetting.ui )

# pure C headers
set( yabause_qt_HEADERS
	QtYabause.h
	CommonDialogs.h
	PerQt.h
	Arguments.h )

# C headers needing moc
set( yabause_qt_MOC_HEADERS
	ui/UIYabause.h
	ui/UISettings.h
	ui/UIAbout.h
	ui/UICheats.h
	ui/UICheatAR.h
	ui/UICheatRaw.h
	ui/UIWaitInput.h
	ui/UIBackupRam.h
	ui/UIPortManager.h
	ui/UIPadSetting.h
	YabauseGL.h
	VolatileSettings.h
	Settings.h
	YabauseThread.h )

# C sources
set( yabause_qt_SOURCES
	main.cpp
	QtYabause.cpp
	CommonDialogs.cpp
	PerQt.c
	ui/UIYabause.cpp
	ui/UISettings.cpp
	ui/UIAbout.cpp
	ui/UICheats.cpp
	ui/UICheatAR.cpp
	ui/UICheatRaw.cpp
	ui/UIWaitInput.cpp
	ui/UIBackupRam.cpp
	ui/UIPortManager.cpp
	ui/UIPadSetting.cpp
	YabauseGL.cpp
	Settings.cpp
	VolatileSettings.cpp
	YabauseThread.cpp
	Arguments.cpp )

QT4_ADD_RESOURCES( yabause_qt_RCC_RESOURCES ${yabause_qt_RESOURCES} )
QT4_WRAP_UI( yabause_qt_UI_FORMS ${yabause_qt_FORMS} )
QT4_WRAP_CPP( yabause_qt_MOC_SOURCES ${yabause_qt_MOC_HEADERS} )

set( yabause_qt_SOURCES ${yabause_qt_SOURCES} resources/icons/yabause.icns )
set_source_files_properties( resources/icons/yabause.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources )

add_executable( yabause-qt WIN32
	${yabause_qt_windows_SOURCES}
	${yabause_qt_windows_RESOURCES}
	${yabause_qt_RCC_RESOURCES}
	${yabause_qt_HEADERS}
	${yabause_qt_MOC_HEADERS}
	${yabause_qt_SOURCES}
	${yabause_qt_UI_FORMS}
	${yabause_qt_MOC_SOURCES} )

include_directories(
	.
	${CMAKE_CURRENT_BINARY_DIR}
	${QT_INCLUDE_DIR}
	${QT_QTCORE_INCLUDE_DIR}
	${QT_QTGUI_INCLUDE_DIR}
	${QT_QTOPENGL_INCLUDE_DIR} )

# APPLE // not necessary mac os x, but i don't care ;)
if (APPLE)
	set_target_properties( yabause-qt PROPERTIES MACOSX_BUNDLE true )
	set_target_properties( yabause-qt PROPERTIES MACOSX_BUNDLE_ICON_FILE yabause.icns )
	set_target_properties( yabause-qt PROPERTIES MACOSX_BUNDLE_LONG_VERSION_STRING "${YAB_VERSION}" )
	set_target_properties( yabause-qt PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME Yabause )
	set_target_properties( yabause-qt PROPERTIES MACOSX_BUNDLE_SHORT_VERSION_STRING "${YAB_VERSION}" )
	set_target_properties( yabause-qt PROPERTIES MACOSX_BUNDLE_COPYRIGHT "(c) Yabause Team" )
endif (APPLE)

target_link_libraries( yabause-qt yabause )
target_link_libraries( yabause-qt ${YABAUSE_LIBRARIES} )
target_link_libraries( yabause-qt ${PORT_LIBRARIES} )
target_link_libraries( yabause-qt ${yabause_qt_windows_LIBRARIES} )
target_link_libraries( yabause-qt ${QT_LIBRARIES} )

yab_port_success(yabause-qt)
configure_file(yabause.desktop.in ${YAB_PORT_NAME}.desktop)

install(TARGETS yabause-qt DESTINATION "bin")
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${YAB_PORT_NAME}.desktop DESTINATION "share/applications")
install(FILES "doc/yabause.1" DESTINATION "share/man/man1" RENAME "${YAB_PORT_NAME}.1")
install(FILES "resources/icons/yabause.png" DESTINATION "share/pixmaps")

=== src/wii/CMakeLists.txt ===
project(yabause-wii)

if(NOT WII)
    return()
endif()

set(yabause_wii_SOURCES keys.h menu.h perwii.c perwii.h sndwii.c sndwii.h yui.c)

add_executable(yabause-wii ${yabause_wii_SOURCES})
set_target_properties(yabause-wii PROPERTIES LINK_FLAGS -L/opt/devkitpro/libogc/lib/wii/)
set_target_properties(yabause-wii PROPERTIES OUTPUT_NAME yabause.elf)
target_link_libraries(yabause-wii yabause -lfat -lwiiuse -lbte -logc -lm)

=== src/windows/CMakeLists.txt ===
project(yabause-windows)

yab_port_start()

if (NOT WIN32)
	return()
endif(NOT WIN32)

if ( NOT ntddcdrm_INCLUDE_DIR )
	return()
endif ( NOT ntddcdrm_INCLUDE_DIR )

add_definitions(-D_WIN32_IE=0x0500 -D_WIN32_WINNT=0x0500 -DUNICODE -D_UNICODE)

if (MSVC)
        # Find DirectX SDK
        find_path(DirectX_INCLUDE_DIR dxerr9.h
		  "$ENV{DXSDK_DIR}/Include")
        if (NOT DirectX_INCLUDE_DIR)
		find_path(DirectX_INCLUDE_DIR "dxerr.h"
			  "$ENV{DXSDK_DIR}/Include")
		if (DirectX_INCLUDE_DIR)
			set(DXERRH_IS_BROKEN 1 CACHE INTERNAL "dxerr is broken")
                endif (DirectX_INCLUDE_DIR)
	endif(NOT DirectX_INCLUDE_DIR)
else (MSVC)
	find_path(DirectX_INCLUDE_DIR dxerr9.h)
endif(MSVC)

find_library(DirectX_GUID_LIBRARY dxguid "$ENV{DXSDK_DIR}/Lib/x86" "$ENV{DXSDK_DIR}/Lib")
find_library(DirectX_INPUT8_LIBRARY dinput8 "$ENV{DXSDK_DIR}/Lib/x86" "$ENV{DXSDK_DIR}/Lib")
find_library(DirectX_SOUND_LIBRARY dsound "$ENV{DXSDK_DIR}/Lib/x86" "$ENV{DXSDK_DIR}/Lib")

if (DXERRH_IS_BROKEN)
	find_library(DirectX_ERR_LIBRARY dxerr "$ENV{DXSDK_DIR}/Lib/x86" "$ENV{DXSDK_DIR}/Lib")
else(DXERRH_IS_BROKEN)
	if (MINGW)
		find_library(DirectX_ERR_LIBRARY dxerr8 "$ENV{DXSDK_DIR}/Lib/x86" "$ENV{DXSDK_DIR}/Lib")
	else (MINGW)
		find_library(DirectX_ERR_LIBRARY dxerr9 "$ENV{DXSDK_DIR}/Lib/x86" "$ENV{DXSDK_DIR}/Lib")
	endif(MINGW)
endif(DXERRH_IS_BROKEN)

if (DirectX_INCLUDE_DIR AND DirectX_GUID_LIBRARY AND DirectX_INPUT8_LIBRARY AND DirectX_SOUND_LIBRARY AND DirectX_ERR_LIBRARY)
	set(DIRECTX_FOUND "found")
	set(DIRECTX_LIBRARIES ${DirectX_GUID_LIBRARY} ${DirectX_INPUT8_LIBRARY} ${DirectX_SOUND_LIBRARY} ${DirectX_ERR_LIBRARY})
	include_directories(${DirectX_INCLUDE_DIR})
endif ()

if (MINGW)
#	include(CheckIncludeFile)
#	check_include_file("dxerr9.h" DIRECTX_FOUND)
        	set(DIRECTX_FOUND "found")
endif(MINGW)

# DirectX
if (DIRECTX_FOUND)
	message(STATUS "Found DirectX SDK 9.0 or greater")
else (DIRECTX_FOUND)
	message(FATAL_ERROR "Could not find DirectX SDK 9.0 or greater")
endif (DIRECTX_FOUND)

if (DXERRH_IS_BROKEN)
	add_definitions(-DDXERRH_IS_BROKEN)
	message(STATUS "Using work-around for dxerr.h")
endif(DXERRH_IS_BROKEN)

set(yabause_windows_HEADERS
	aviout.h
	cd.h
	cheats.h
	custctl.h
	disasm.h
	dx.h
	hexedit.h
	hotkey.h
	perdx.h
	ramwatch.h
	ram_search.h
	resource.h
	snddx.h
	yuiwin.h
	cpudebug/yuidebug.h
	settings/settings.h)

set(yabause_windows_RESOURCES
	resource.rc)

set(yabause_windows_SOURCES
	aviout.c
	bup-manager.c
	cheats.c
	custctl.c
	disasm.c
	hexedit.c
	hotkey.cpp
	perdx.c
	ramwatch.cpp
	ram_search.cpp
	snddx.c
	yui.cpp
	cpudebug/debug-68k.c
	cpudebug/debug-scsp.c
	cpudebug/debug-scu.c
	cpudebug/debug-sh2.c
	cpudebug/debug-smpc.c
	cpudebug/debug-vdp1.c
	cpudebug/debug-vdp2.c
	cpudebug/yuidebug.c
	settings/settings.c
	settings/settings-basic.c
	settings/settings-input.c
	settings/settings-log.c
	settings/settings-netlink.c
	settings/settings-sound.c
	settings/settings-video.c)

if(MINGW)
	set(CMAKE_RC_COMPILE_OBJECT
		"<CMAKE_RC_COMPILER> <FLAGS> -O coff <DEFINES> -i <SOURCE> -o <OBJECT>")
endif(MINGW)

add_executable(yabause-windows WIN32 ${yabause_windows_SOURCES} ${yabause_windows_RESOURCES} ${yabause_windows_HEADERS})
target_link_libraries(yabause-windows yabause ${YABAUSE_LIBRARIES} ${PORT_LIBRARIES} comctl32 ${DIRECTX_LIBRARIES} vfw32)

if(MINGW AND CMAKE_CROSSCOMPILING)
	set_target_properties(yabause-windows PROPERTIES LINK_FLAGS "-static-libgcc -static-libstdc++")
endif()

yab_port_success(yabause-windows)

## yabause 0.9.10

=== debian/changelog ===
yabause (0.9.10-2) unstable; urgency=low

  * debian/control:
    + Really remove DM-Upload-allowed.
    + Section: otherosfs as suggested by the ftp-masters.
    + Add dh-autoreconf build-dep.
    + Standards-Version: 3.9.2
    + Drop quilt build-dep.
  * Add 01_link_with_pthread.patch to fix FTBFS with binutils-gold.
    Closes: #556767
  * debian/rules:
    + Call dh_autoreconf(_clean) where needed.
    + Drop quilt calls.
  * Switch to format "3.0 (quilt)".

 -- Evgeni Golov <evgeni@debian.org>  Thu, 05 May 2011 11:13:35 +0200

yabause (0.9.10-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Update my email-address.
    + Remove DM-Upload-Allowed: yes.
    + Standards-Version: 3.8.1.
    + Add B-D on libopenal-dev.
  * debian/patches/01-fix_qt_build.patch:
    + Remove patch, it was taken from upstream CVS and is present in
      the current release.
  * debian/rules:
    + Do not sed the desktop files, upstream does this for us.
    + Do not install gtk manpage as qt one, qt port has an own now.
  * debian/yabause-qt.install:
    + Install upstream manpage.
  * debian/copyright:
    + Update copyright information and refresh dates.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 02 Jun 2009 09:32:34 +0200

yabause (0.9.9-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Update the short-descriptions to reflect upstream naming change.
    + Add a new yabause-common package, containing images and translations.
    + Add Build-Dep on libmini18n-dev, so we can enable translations.
      Closes: #508166
    + Set DM-Upload-Allowed: yes - I am DM now.
  * debian/rules:
    + Upstream now supports --programm-suffix, so we don't need to rename
      files on our own so much.
    + Rename build-%/Makefile to build-%/config-stamp, so the Makefile
      isn't erased.
    + Don't change the Icon-field in the .desktop files.
  * debian/yabause-{gtk,qt}.install:
    + yabause-common contains yabause.png, so no need to install
      yabause-{gtk,qt}.png in the appropriate packages.
  * debian/patches:
    + Add 01-fix_qt_build.patch so the Qt build does not FTBFS when built
      out of source, imported from Upstream.

 -- Evgeni Golov <sargentd@die-welt.net>  Sat, 07 Mar 2009 22:15:38 +0100

yabause (0.9.8-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + Don't use rm in the clean target, use dh_clean instead.
    + Use more debhelper 7 helpers.
    + Use $(QUILT_STAMPFN) instead of patch, so configure isn't run twice.
    + Use more make magic to build the two interfaces.
  * debian/control:
    + Add alternatives to Build-Depends.
    + Build-Depend on debhelper 7.
    + Add ${misc:Depends} to yabause's Depends to please lintian.
  * debian/series:
    + Make lintian happy by putting a single # into series.

 -- Evgeni Golov <sargentd@die-welt.net>  Wed, 03 Dec 2008 19:41:09 +0100

yabause (0.9.7-1) unstable; urgency=low

  * New upstream release.
    + Drop patches/updates_from_cvs_since_0.9.6.patch.

 -- Evgeni Golov <sargentd@die-welt.net>  Thu, 04 Sep 2008 00:05:47 +0200

yabause (0.9.6-2) unstable; urgency=low

  * Import some changes from upstream CVS to improve stability and the GUI.
    + Use quilt for handling this patch.
    + Add README.Debian about quilt-usage. 

 -- Evgeni Golov <sargentd@die-welt.net>  Fri, 08 Aug 2008 21:45:46 +0200

yabause (0.9.6-1) unstable; urgency=low

  * Initial release (Closes: #483124)

 -- Evgeni Golov <sargentd@die-welt.net>  Wed, 09 Jul 2008 09:37:54 +0200

=== debian/control ===
Source: yabause
Section: otherosfs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Evgeni Golov <evgeni@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, pkg-config,
 libgl1-mesa-dev | libgl-dev, freeglut3-dev | libglut-dev, libglu1-mesa-dev | libglu-dev,
 libsdl1.2-dev, libglib2.0-dev, libgtk2.0-dev, libgtkglext1-dev,
 libqt4-dev, libqt4-opengl-dev, libmini18n-dev, libopenal-dev,
 dh-autoreconf
Standards-Version: 3.9.2
Homepage: http://yabause.org
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/yabause/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/yabause/

Package: yabause
Architecture: all
Depends: yabause-qt | yabause-gtk, ${misc:Depends}
Description: beautiful and under-rated Saturn emulator
 Yabause is a Sega Saturn emulator. It has the following features:
  * booting games from CD-ROM and ISO files
  * booting games with either an emulated or original BIOS
  * screenshot support
  * savegame backups
  * cheat system
  * fullscreen playing
  * multiple debugging options
  * joystick support
  * region select 
 .
 This package is a metapackage, which installs either the Qt or the Gtk
 version of Yabause.

Package: yabause-common
Architecture: all
Depends: ${misc:Depends}
Recommends: yabause-qt | yabause-gtk
Description: beautiful and under-rated Saturn emulator - common files
 Yabause is a Sega Saturn emulator. It has the following features:
  * booting games from CD-ROM and ISO files
  * booting games with either an emulated or original BIOS
  * screenshot support
  * savegame backups
  * cheat system
  * fullscreen playing
  * multiple debugging options
  * joystick support
  * region select
 .
 This package contains arch-independend files like images and translations.

Package: yabause-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yabause-common (= ${source:Version})
Description: beautiful and under-rated Saturn emulator - Gtk port
 Yabause is a Sega Saturn emulator. It has the following features:
  * booting games from CD-ROM and ISO files
  * booting games with either an emulated or original BIOS
  * screenshot support
  * savegame backups
  * cheat system
  * fullscreen playing
  * multiple debugging options
  * joystick support
  * region select
 .
 This package contains the Gtk version of Yabause.

Package: yabause-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yabause-common (= ${source:Version})
Description: beautiful and under-rated Saturn emulator - Qt port
 Yabause is a Sega Saturn emulator. It has the following features:
  * booting games from CD-ROM and ISO files
  * booting games with either an emulated or original BIOS
  * screenshot support
  * savegame backups
  * cheat system
  * fullscreen playing
  * multiple debugging options
  * joystick support
  * region select
 .
 This package contains the Qt version of Yabause.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
	CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

configure-flags=$(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info

config-common:
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	dh_autoreconf
	touch $@

build-%/config-stamp: config-common
	dh_testdir
	mkdir -p build-$*
	cd build-$* && \
		CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs -Wl,--as-needed" \
		$(CURDIR)/configure $(configure-flags) --with-port=$* \
		--program-suffix=-$*
	touch $@

build-%-stamp: build-%/config-stamp
	dh_testdir
	$(MAKE) -C build-$*
	touch $@

build: build-gtk-stamp build-qt-stamp

clean:
	dh_testdir
	dh_testroot

	$(RM) -r build-gtk build-qt

	dh_autoreconf_clean
	dh_clean config-common config.sub config.guess

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) -C build-gtk install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C build-qt install DESTDIR=$(CURDIR)/debian/tmp

	dh_install

# Build architecture-independent files here.
binary-indep: install
	dh binary-indep

# Build architecture-dependent files here.
binary-arch: install
	dh binary-arch

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## yabause 0.9.11

=== debian/changelog ===
yabause (0.9.11-1) unstable; urgency=low

  * New upstream release.
    + Switch build system from autotools to cmake.
    + Closes: #650255
  * Switch to dh7 "tiny" rules.
  * Fix typos spotted by lintian.
    + 02_typos.patch added
  * Use debhelper compat 9 for hardening buildflags.
    + also fix build with -Werror=format-security with
      03_fix_build_with_hardeningflags.patch
  * Update binutils-gold patch.
    + Renamed patch to 01_link_with_libm.patch
  * Fix segfault in dynarec sh2 deinit with patch from upstream
    + 04_dynarec_segfault_fix.patch added

 -- Evgeni Golov <evgeni@debian.org>  Tue, 29 Nov 2011 13:05:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Evgeni Golov <evgeni@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, pkg-config,
+Build-Depends: debhelper (>= 8.9.0~), cmake, pkg-config,
  libgl1-mesa-dev | libgl-dev, freeglut3-dev | libglut-dev, libglu1-mesa-dev | libglu-dev,
  libsdl1.2-dev, libglib2.0-dev, libgtk2.0-dev, libgtkglext1-dev,
  libqt4-dev, libqt4-opengl-dev, libmini18n-dev, libopenal-dev,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LDFLAGS+=-Wl,-z,defs -Wl,--as-needed
export LDFLAGS

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DYAB_MULTIBUILD=1

## yabause 0.9.11.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,12 @@
 
 cmake_minimum_required(VERSION 2.8)
 
+set(YAB_PACKAGE yabause)
 set(YAB_VERSION_MAJOR 0)
 set(YAB_VERSION_MINOR 9)
 set(YAB_VERSION_PATCH 11)
-set(YAB_VERSION "${YAB_VERSION_MAJOR}.${YAB_VERSION_MINOR}.${YAB_VERSION_PATCH}")
+set(YAB_VERSION_INC 1)
+set(YAB_VERSION "${YAB_VERSION_MAJOR}.${YAB_VERSION_MINOR}.${YAB_VERSION_PATCH}.${YAB_VERSION_INC}")
 
 set(CPACK_SOURCE_GENERATOR TGZ)
 set(CPACK_PACKAGE_VERSION_MAJOR ${YAB_VERSION_MAJOR})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,11 @@
 	set(yabause_SOURCES ${yabause_SOURCES} scsp.c)
 endif()
 
+# math library
+if (UNIX)
+    set(YABAUSE_LIBRARIES ${YABAUSE_LIBRARIES} "m")
+endif()
+
 # Bigendian
 include(TestBigEndian)
 test_big_endian(WORDS_BIGENDIAN)
@@ -126,7 +131,7 @@
 
 if (MINI18N_FOUND)
 	if (UNIX)
-		add_definitions(-DYTSDIR=\"${CMAKE_INSTALL_PREFIX}/share/${PACKAGE}/yts\")
+		add_definitions(-DYTSDIR=\"${CMAKE_INSTALL_PREFIX}/share/${YAB_PACKAGE}/yts\")
 	elseif (WIN32)
 		add_definitions(-DYTSDIR=\"trans\")
 	endif()
@@ -328,7 +333,7 @@
 	set(CMAKE_C_FLAGS "-O3 -mcpu=cortex-a8 -mfpu=vfp -mfloat-abi=softfp")
 endif("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "armv7l")
 
-add_definitions(-DPACKAGE=\"yabause\")
+add_definitions(-DPACKAGE=\"${YAB_PACKAGE}\")
 add_definitions(-DVERSION=\"${YAB_VERSION}\")
 
 add_library(yabause ${yabause_SOURCES})
@@ -353,6 +358,11 @@
 	set(YAB_PORT_BUILT TRUE PARENT_SCOPE)
 endmacro(yab_port_success)
 
+set(YAB_MAN_DIR "share/man")
+if (NOT $ENV{PKGMANDIR} STREQUAL "")
+    set(YAB_MAN_DIR $ENV{PKGMANDIR})
+endif ()
+
 option(YAB_MULTIBUILD "Choose wether to build all ports or only a single one")
 set(YAB_PORT_BUILT FALSE)
 set(YAB_PORTS "gtk;qt;windows;dreamcast;wii" CACHE STRING "List of ports to build")

=== src/qt/CMakeLists.txt ===
--- 
+++ 
@@ -141,5 +141,5 @@
 
 install(TARGETS yabause-qt DESTINATION "bin")
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${YAB_PORT_NAME}.desktop DESTINATION "share/applications")
-install(FILES "doc/yabause.1" DESTINATION "share/man/man1" RENAME "${YAB_PORT_NAME}.1")
+install(FILES "doc/yabause.1" DESTINATION "${YAB_MAN_DIR}/man1" RENAME "${YAB_PORT_NAME}.1")
 install(FILES "resources/icons/yabause.png" DESTINATION "share/pixmaps")

=== src/windows/CMakeLists.txt ===
--- 
+++ 
@@ -12,20 +12,14 @@
 
 add_definitions(-D_WIN32_IE=0x0500 -D_WIN32_WINNT=0x0500 -DUNICODE -D_UNICODE)
 
-if (MSVC)
-        # Find DirectX SDK
-        find_path(DirectX_INCLUDE_DIR dxerr9.h
-		  "$ENV{DXSDK_DIR}/Include")
-        if (NOT DirectX_INCLUDE_DIR)
-		find_path(DirectX_INCLUDE_DIR "dxerr.h"
-			  "$ENV{DXSDK_DIR}/Include")
-		if (DirectX_INCLUDE_DIR)
-			set(DXERRH_IS_BROKEN 1 CACHE INTERNAL "dxerr is broken")
-                endif (DirectX_INCLUDE_DIR)
-	endif(NOT DirectX_INCLUDE_DIR)
-else (MSVC)
-	find_path(DirectX_INCLUDE_DIR dxerr9.h)
-endif(MSVC)
+# Find DirectX SDK
+find_path(DirectX_INCLUDE_DIR dxerr9.h "$ENV{DXSDK_DIR}/Include")
+if (NOT DirectX_INCLUDE_DIR)
+	find_path(DirectX_INCLUDE_DIR "dxerr.h" "$ENV{DXSDK_DIR}/Include")
+	if (DirectX_INCLUDE_DIR)
+		set(DXERRH_IS_BROKEN 1 CACHE INTERNAL "dxerr is broken")
+        endif (DirectX_INCLUDE_DIR)
+endif(NOT DirectX_INCLUDE_DIR)
 
 find_library(DirectX_GUID_LIBRARY dxguid "$ENV{DXSDK_DIR}/Lib/x86" "$ENV{DXSDK_DIR}/Lib")
 find_library(DirectX_INPUT8_LIBRARY dinput8 "$ENV{DXSDK_DIR}/Lib/x86" "$ENV{DXSDK_DIR}/Lib")
@@ -33,25 +27,17 @@
 
 if (DXERRH_IS_BROKEN)
 	find_library(DirectX_ERR_LIBRARY dxerr "$ENV{DXSDK_DIR}/Lib/x86" "$ENV{DXSDK_DIR}/Lib")
-else(DXERRH_IS_BROKEN)
-	if (MINGW)
-		find_library(DirectX_ERR_LIBRARY dxerr8 "$ENV{DXSDK_DIR}/Lib/x86" "$ENV{DXSDK_DIR}/Lib")
-	else (MINGW)
-		find_library(DirectX_ERR_LIBRARY dxerr9 "$ENV{DXSDK_DIR}/Lib/x86" "$ENV{DXSDK_DIR}/Lib")
-	endif(MINGW)
-endif(DXERRH_IS_BROKEN)
+elseif(MINGW)
+	find_library(DirectX_ERR_LIBRARY dxerr8 "$ENV{DXSDK_DIR}/Lib/x86" "$ENV{DXSDK_DIR}/Lib")
+else()
+	find_library(DirectX_ERR_LIBRARY dxerr9 "$ENV{DXSDK_DIR}/Lib/x86" "$ENV{DXSDK_DIR}/Lib")
+endif()
 
 if (DirectX_INCLUDE_DIR AND DirectX_GUID_LIBRARY AND DirectX_INPUT8_LIBRARY AND DirectX_SOUND_LIBRARY AND DirectX_ERR_LIBRARY)
 	set(DIRECTX_FOUND "found")
 	set(DIRECTX_LIBRARIES ${DirectX_GUID_LIBRARY} ${DirectX_INPUT8_LIBRARY} ${DirectX_SOUND_LIBRARY} ${DirectX_ERR_LIBRARY})
 	include_directories(${DirectX_INCLUDE_DIR})
 endif ()
-
-if (MINGW)
-#	include(CheckIncludeFile)
-#	check_include_file("dxerr9.h" DIRECTX_FOUND)
-        	set(DIRECTX_FOUND "found")
-endif(MINGW)
 
 # DirectX
 if (DIRECTX_FOUND)

=== debian/changelog ===
yabause (0.9.11.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Drop all patches, they were either taken from upstream SVN or
    were applied upstream in this release.
  * Properly enable hardening flags.
    Thanks: Simon Ruderich <simon@ruderich.org>
    Closes: #662969
    Added patch: use_dpkg_buildflags.patch
  * Disable dynarec on armel/armhf.
    Added patch: disable_dynarec_on_arm.patch
    Closes: #654615
    LP: #944749
  * Standards-Version: 3.9.3

 -- Evgeni Golov <evgeni@debian.org>  Sat, 05 May 2012 17:16:08 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libsdl1.2-dev, libglib2.0-dev, libgtk2.0-dev, libgtkglext1-dev,
  libqt4-dev, libqt4-opengl-dev, libmini18n-dev, libopenal-dev,
  dh-autoreconf
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://yabause.org
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/yabause/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/yabause/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# CMake doesn't use CPPFLAGS, pass them to CFLAGS/CXXFLAGS to enable the
# missing (hardening) flags.
export DEB_CFLAGS_MAINT_APPEND   = $(shell dpkg-buildflags --get CPPFLAGS)
export DEB_CXXFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

export DEB_LDFLAGS_MAINT_APPEND  = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DYAB_MULTIBUILD=1
